<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!-- Generated 2-lug-2017 12.20.07 by Hibernate Tools 5.2.3.Final --><!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">
<hibernate-mapping auto-import="true" default-access="property" default-cascade="none" default-lazy="true">
    <class catalog="SicuraSQL_Findomestic_Web" dynamic-insert="false" dynamic-update="false" mutable="true" name="sicura.entities.RemunerationDetail" optimistic-lock="version" polymorphism="implicit" schema="dbo" select-before-update="false" table="Remuneration_Detail">
        <id name="iddetail" type="java.lang.Integer">
            <column name="IDDetail"/>
            <generator class="identity"/>
        </id>
        <property generated="never" lazy="false" name="idprevisioning" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDPrevisioning"/>
        </property>
        <property generated="never" lazy="false" name="idremuneration" optimistic-lock="true" type="java.lang.Integer" unique="false">
            <column name="IDRemuneration"/>
        </property>
        <property generated="never" lazy="false" name="inquiryResponseIdentification" optimistic-lock="true" type="string" unique="false">
            <column length="35" name="InquiryResponseIdentification"/>
        </property>
        <property generated="never" lazy="false" name="identificativoMandato" optimistic-lock="true" type="string" unique="false">
            <column length="35" name="Identificativo_Mandato"/>
        </property>
        <property generated="never" lazy="false" name="tipoMandato" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="Tipo_Mandato"/>
        </property>
        <property generated="never" lazy="false" name="statoTipoMandato" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="Stato_Tipo_Mandato"/>
        </property>
        <property generated="never" lazy="false" name="tipoSeda" optimistic-lock="true" type="string" unique="false">
            <column length="35" name="Tipo_Seda"/>
        </property>
        <property generated="never" lazy="false" name="prezzoUnitarioMandato" optimistic-lock="true" type="string" unique="false">
            <column length="18" name="Prezzo_Unitario_Mandato"/>
        </property>
        <property generated="never" lazy="false" name="divisa" optimistic-lock="true" type="string" unique="false">
            <column length="3" name="Divisa"/>
        </property>
        <property generated="never" lazy="false" name="dataAttivazioneMandato" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="Data_Attivazione_Mandato"/>
        </property>
        <property generated="never" lazy="false" name="dataRevocaMandato" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="Data_Revoca_Mandato"/>
        </property>
        <property generated="never" lazy="false" name="datarendi" optimistic-lock="true" type="timestamp" unique="false">
            <column length="23" name="Datarendi"/>
        </property>
        <property generated="never" lazy="false" name="flagNew" optimistic-lock="true" type="boolean" unique="false">
            <column name="Flag_New" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagUtil" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagUtil" not-null="true"/>
        </property>
        <property generated="never" lazy="false" name="flagStampa" optimistic-lock="true" type="boolean" unique="false">
            <column name="FlagStampa" not-null="true"/>
        </property>
    </class>
</hibernate-mapping>
